Bug 1933284 - Samples in CRD creation are ordered arbitarly
Summary: Samples in CRD creation are ordered arbitarly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Jakub Hadvig
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-26 14:07 UTC by Vinu K
Modified: 2021-07-27 22:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:48:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
Order of samples (48.73 KB, image/png)
2021-02-26 14:07 UTC, Vinu K
no flags Details
screenshot showing samples ordered alphabetically (57.79 KB, image/png)
2021-03-16 19:27 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift/console/blob/master/frontend/public/components/sidebars/resource-sidebar-samples.tsx#L159 0 None None None 2021-02-26 14:07:35 UTC
Github openshift console pull 8262 0 None open Bug 1933284: Sort sample and snippets in the resource sidebar 2021-03-01 17:56:45 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:48:48 UTC

Description Vinu K 2021-02-26 14:07:35 UTC
Created attachment 1759504 [details]
Order of samples

Created attachment 1759504 [details]
Order of samples

Description of problem:
The Samples in the below path is ordered arbitrarily.
Create a new instance of a resource > Switching to the YAML view > Samples

Version-Release number of selected component (if applicable):
v4u6

How reproducible:
Easy

Steps to Reproduce:
1. Create a new instance of the resource
2. Switch to YAML
3. Check the Samples in the sidebar

Actual results:
The order of samples is arbitrary.

Expected results:
Samples should be ordered in alphabetical order

Additional info:
https://github.com/openshift/console/blob/master/frontend/public/components/sidebars/resource-sidebar-samples.tsx#L159

Comment 1 Vinu K 2021-03-13 12:38:28 UTC
Hello Team,

Any update on this?

Thanks,
Vinu K

Comment 2 Yadan Pei 2021-03-15 07:42:38 UTC
Siva, 

Can you help verify the fix on 4.8?

Comment 3 Siva Reddy 2021-03-16 19:26:57 UTC
Now the samples are sorted alphabetically

Version:
 4.8.0-0.nightly-2021-03-16-111809

Steps to verify:
1. Create a new instance of the resource
2. Switch to YAML
3. Check the Samples in the sidebar

  Please find attached screeshot showing the samples arranged in alphabetical order.

Comment 4 Siva Reddy 2021-03-16 19:27:48 UTC
Created attachment 1763772 [details]
screenshot showing samples ordered alphabetically

Comment 5 Vinu K 2021-03-19 08:59:21 UTC
Hello Siva,

Thank you for your update. I will inform the customer that it would fix in the 4.8 release.

Thanks,
Vinu K

Comment 8 errata-xmlrpc 2021-07-27 22:48:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.